Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum HyperlinkTypeEnum

    java.lang.Object
      java.lang.Enum<HyperlinkTypeEnum>
          net.sf.jasperreports.engine.type.HyperlinkTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HyperlinkTypeEnum>, JREnum

    public enum HyperlinkTypeEnum

extends java.lang.Enum<HyperlinkTypeEnum>
implements JREnum

Version:
  $Id: JasperCompileManager.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Enum Constant Summary
`CUSTOM` Custom hyperlink type.
`LOCAL_ANCHOR` Constant useful for specifying that the hyperlink points to a local anchor, specified by the hyperlink anchor expression.
`LOCAL_PAGE` Constant useful for specifying that the hyperlink points to a 1 based page index within the current document.
`NONE` Constant useful for specifying that the element does not contain a hyperlink.
`NULL` Not set hyperlink type.
`REFERENCE` Constant useful for specifying that the hyperlink points to an external resource specified by the hyperlink reference expression.
`REMOTE_ANCHOR` Constant useful for specifying that the hyperlink points to a remote anchor (specified by the hyperlink anchor expression) within an external document (specified by the hyperlink reference expression).
`REMOTE_PAGE` Constant useful for specifying that the hyperlink points to a 1 based page index within an external document (specified by the hyperlink reference expression).

Method Summary
`static HyperlinkTypeEnum` | `getByName(java.lang.String name)`
`static HyperlinkTypeEnum` | `getByValue(byte value)`
`static HyperlinkTypeEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static HyperlinkTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HyperlinkTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NULL

    public static final HyperlinkTypeEnum NULL

  Not set hyperlink type.

### NONE

    public static final HyperlinkTypeEnum NONE

  Constant useful for specifying that the element does not contain a hyperlink. This is the default value for a hyperlink type.

### REFERENCE

    public static final HyperlinkTypeEnum REFERENCE

  Constant useful for specifying that the hyperlink points to an external resource specified by the hyperlink reference expression.

  See Also:
    `JRHyperlink.getHyperlinkReferenceExpression()`

### LOCAL_ANCHOR

    public static final HyperlinkTypeEnum LOCAL_ANCHOR

  Constant useful for specifying that the hyperlink points to a local anchor, specified by the hyperlink anchor expression.

  See Also:
    `JRHyperlink.getHyperlinkAnchorExpression()`

### LOCAL_PAGE

    public static final HyperlinkTypeEnum LOCAL_PAGE

  Constant useful for specifying that the hyperlink points to a 1 based page index within the current document.

### REMOTE_ANCHOR

    public static final HyperlinkTypeEnum REMOTE_ANCHOR

  Constant useful for specifying that the hyperlink points to a remote anchor (specified by the hyperlink anchor expression) within an external document (specified by the hyperlink reference expression).

  See Also:
    `JRHyperlink.getHyperlinkAnchorExpression()`, `JRHyperlink.getHyperlinkReferenceExpression()`

### REMOTE_PAGE

    public static final HyperlinkTypeEnum REMOTE_PAGE

  Constant useful for specifying that the hyperlink points to a 1 based page index within an external document (specified by the hyperlink reference expression).

### CUSTOM

    public static final HyperlinkTypeEnum CUSTOM

  Custom hyperlink type.

  The specific type is determined by `getLinkType()`.

Method Detail

### values

    public static HyperlinkTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HyperlinkTypeEnum c : HyperlinkTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HyperlinkTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static HyperlinkTypeEnum getByName(java.lang.String name)

### getByValue

    public static HyperlinkTypeEnum getByValue(java.lang.Byte value)

### getByValue

    public static HyperlinkTypeEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com